
import {t} from '@ued_fpi/element-ui/src/locale';

export default {
  // 单个节点高度
  nodeHeight: {
    type: Number,
    default: 26
  },
  // 上下滚动冗余量
  redundancy: {
    type: Number,
    default: 10
  },
  /**
   * 以下为elemt-ui tree全部props，
   * 虚拟滚动树根据实际使用情况，不会实现所有props
   */
  data: {
    type: Array
  },
  emptyText: {
    type: String,
    default() {
      return t('el.tree.emptyText');
    }
  },
  // renderAfterExpand: {
  //     type: Boolean,
  //     default: true,
  // },
  nodeKey: String,
  checkStrictly: Boolean,
  defaultExpandAll: Boolean,
  expandOnClickNode: {
    type: Boolean,
    default: true
  },
  checkOnClickNode: Boolean,
  checkDescendants: {
    type: Boolean,
    default: false
  },
  autoExpandParent: {
    type: Boolean,
    default: true
  },
  defaultCheckedKeys: {
    type: Array,
    default() {
      return [];
    }
  },
  defaultExpandedKeys: {
    type: Array,
    default() {
      return [];
    }
  },
  currentNodeKey: [String, Number],
  renderContent: Function,
  showCheckbox: {
    type: Boolean,
    default: false
  },
  draggable: {
    type: Boolean,
    default: false
  },
  allowDrag: Function,
  allowDrop: Function,
  props: {
    default() {
      return {
        children: 'children',
        label: 'label',
        disabled: 'disabled'
      };
    }
  },
  lazy: {
    type: Boolean,
    default: false
  },
  highlightCurrent: Boolean,
  load: Function,
  filterNodeMethod: Function,
  accordion: Boolean,
  indent: {
    type: Number,
    default: 18
  },
  iconClass: String
};

